Ruby - Bug #860

some mistakes in Rake RDoc
12/12/2008 02:10 PM - okkez (okkez )

Status: Closed

Priority: Normal

Assignee:

Target version: 1.9.1 Release Candidate

ruby -v: Backport:
Description

=begin
000000000DooooooooDooooono

Index: rake.rb

---rake.rb  (revision 20655)
+++ rake.rb  (working copy)

@@ -74,7 +74,7 @@

class String
rake_extension("ext") do

- Replace the file extension with +newext+. If there is no extenson on

- Replace the file extension with +newext+. If there is no extension on

the string, append the new extension to the end. If the new extension

is not given, or is the empty string, remove any existing extension.

@@ -1459,7 +1459,7 @@
collect { |fn| fn.pathmap(spec) }
end

. Return a new array with String#ext method applied to each

. Return a new file list with string#ext method applied to each

member of the array.

This method is a shortcut for:

@@ -2077,7 +2077,7 @@
tty_output? || ENV['/RAKE_COLUMNS"]
end

- Display the tasks and dependencies.
. Display the tasks and comments.

def display_tasks_and_comments
displayable_tasks = tasks.select { [t|

t.comment && t.name =~ options.show_task_pattern
=end

Related issues:

Related to Ruby - Bug #865: [Fwd: some mistakes in Rake RDoc] Closed 12/24/2008
History
#1 - 12/13/2008 01:04 AM - yugui (Yuki Sonoda)
- Target version set to 1.9.1 Release Candidate
=begin
=end
#2 - 12/13/2008 04:53 PM - yugui (Yuki Sonoda)
- Status changed from Open to Closed
=begin
| re-sent this issue to ruby-core as #865.
=end
https://bugs.ruby-lang.org/issues/865
